SELECT
  *,
  ARRAY(SELECT DISTINCT grid FROM UNNEST( ARRAY_CONCAT( IF(microsoft_academic_graph.grids IS NOT NULL, microsoft_academic_graph.grids, []), IF( wos.grids IS NOT NULL, wos.grids, []), IF(scopus.grids IS NOT NULL, scopus.grids, []))) AS grid ) as grids
FROM
  (SELECT 
    ref.doi as doi,
    STRUCT( title, abstract, issued.date_parts[offset(0)] as published_year, type, ISSN, ISBN, issn_type, publisher_location, publisher, container_title, references_count, alternative_id, subject, published_print, license, volume, funder, is_referenced_by_count, page, author ) as crossref,
    (SELECT as STRUCT * from `academic-observatory-workflow.unpaywall_processed.unpaywall_2019_11_22` as oa WHERE oa.doi = ref.doi) as unpaywall,
    ARRAY((SELECT as STRUCT _TABLE_SUFFIX as unpaywall_release, * from `academic-observatory-workflow.unpaywall_processed.*` as oa WHERE oa.doi = ref.doi)) as unpaywall_history,
    (SELECT as STRUCT * from `academic-observatory-workflow.mag_processed.mag_2019_10_03` as mag WHERE mag.doi = ref.doi) as microsoft_academic_graph,
    (SELECT as STRUCT * from `academic-observatory-workflow.open_citations_processed.open_citations_2018_11_12` as oa WHERE oa.doi = ref.doi) as open_citations,
    (SELECT as STRUCT * from `academic-observatory-workflow.wos_processed.wos_2020_01_26`  as wos WHERE wos.doi = ref.doi) as wos,
    (SELECT as STRUCT * from `academic-observatory-workflow.scopus_processed.scopus_2020_01_26` as scopus WHERE scopus.doi = ref.doi) as scopus,
    (SELECT as STRUCT * from `academic-observatory-workflow.crossref_events_processed.crossref_events_2020_01_26` as events WHERE events.doi = ref.doi) as events
  FROM `academic-observatory-telescope.crossref.crossref_2019_09` as ref
  WHERE ARRAY_LENGTH(issued.date_parts) > 0)