SELECT
  -- Replace ###salt### with your own salt. This is used to anonymise institutions in our article.
  TO_HEX(MD5(CONCAT(id, '', '###salt###'))) as id, 
  country,
  country_code,
  region,
  subregion,
  published_year,
  combined.total as total,
  combined.oa as total_oa,
  combined.green as green,
  combined.gold as gold,
  combined.gold_just_doaj as gold_just_doaj,
  combined.hybrid as hybrid,
  combined.bronze as bronze,
  combined.green_only as green_only,
  combined.green_in_home_repo as green_in_home_repo,
  SAFE_DIVIDE(combined.oa, combined.total) * 100 as percent_oa,
  SAFE_DIVIDE(combined.green, combined.total) * 100 as percent_green,
  SAFE_DIVIDE(combined.gold, combined.total) * 100 as percent_gold,
  SAFE_DIVIDE(combined.gold_just_doaj, combined.total) * 100 as percent_gold_just_doaj,
  SAFE_DIVIDE(combined.hybrid, combined.total) * 100 as percent_hybrid,
  SAFE_DIVIDE(combined.bronze, combined.total) * 100 as percent_bronze,
  SAFE_DIVIDE(combined.green_only, combined.total) * 100 as percent_green_only,
  SAFE_DIVIDE(combined.green_in_home_repo, combined.total) * 100 as percent_in_home_repo,
  
FROM 
  `academic-observatory.institution.institutions_2020_02_12` as institutions, 
   UNNEST(years) as years
  
WHERE 
  years.published_year > 2000 and 
  years.published_year < 2020 and 
  institutions.id in (SELECT id FROM `open-knowledge-publications.institutional_oa_evaluation_2020.grids_in_scope_2020_02_12`)