SELECT 
  id, MAX(name) as name, MAX(total_years) as count
FROM `academic-observatory.institution.institutions_2020_02_12`, UNNEST(years) as years
WHERE
  years.just_scopus.total > 0 AND years.just_wos.total > 0 and
  id not in ('grid.7327.1', # Council for Scientific and Industrial Research
	           'grid.415021.3', # South African Medical Research Council
	           'grid.417715.1', # Human Sciences Research Council
	           'grid.415861.f', # Uganda Virus Research Institute
	           'grid.428711.9', # Agricultural Research Council of South Africa
	           'grid.452736.1') # South African National Biodiversity Institute
GROUP BY
  id
ORDER BY count ASC