import pandas as pd
import pandas_gbq

template = """
SELECT id, name
FROM `academic-observatory.institution.institutions_2020_02_12`, UNNEST(years) as years
WHERE 
    years.published_year = {} AND
    id in (SELECT id FROM `open-knowledge-publications.institutional_oa_evaluation_2020.grids_in_scope_2020_02_12`)
ORDER BY (SAFE_DIVIDE({}, combined.total)) DESC LIMIT 110
"""

df = pd.DataFrame()
for year in range(2013,2019):
    for oa_type in ['combined.oa', 'combined.green', 'combined.gold']:
        sql = template.format(year, oa_type)
        result = pandas_gbq.read_gbq(sql, project_id='open-knowledge-staging')
        df = df.append(result, ignore_index=True)

unique = df.drop_duplicates()

unique.to_gbq('institutional_oa_evaluation_2020.named_grids_in_scope_2020_02_12',
              project_id='open-knowledge-publications')