SELECT
  -- Replace ###salt### with your own salt. This is used to anonymise institutions in our article.
  TO_HEX(MD5(CONCAT(id, '', '###salt###'))) as id,
  country,
  country_code,
  region,
  subregion,
  published_year,
  
  combined.total as combined_total,
  combined.oa as combined_oa,
  combined.green as combined_green,
  combined.gold as combined_gold,
  combined.gold_just_doaj as combined_gold_just_doaj,
  combined.hybrid as combined_hybrid,
  combined.bronze as combined_bronze,
  combined.green_only as combined_green_only,
  combined.green_in_home_repo as combined_green_in_home_repo,
  SAFE_DIVIDE(combined.oa, combined.total) * 100 as combined_percent_oa,
  SAFE_DIVIDE(combined.green, combined.total) * 100 as combined_percent_green,
  SAFE_DIVIDE(combined.gold, combined.total) * 100 as combined_percent_gold,
  SAFE_DIVIDE(combined.gold_just_doaj, combined.total) * 100 as combined_percent_gold_just_doaj,
  SAFE_DIVIDE(combined.hybrid, combined.total) * 100 as combined_percent_hybrid,
  SAFE_DIVIDE(combined.bronze, combined.total) * 100 as combined_percent_bronze,
  SAFE_DIVIDE(combined.green_only, combined.total) * 100 as combined_percent_green_only,
  SAFE_DIVIDE(combined.green_in_home_repo, combined.total) * 100 as combined_percent_in_home_repo,

  just_scopus.total as just_scopus_total,
  just_scopus.oa as just_scopus_oa,
  just_scopus.green as just_scopus_green,
  just_scopus.gold as just_scopus_gold,
  just_scopus.gold_just_doaj as just_scopus_gold_doaj,
  just_scopus.hybrid as just_scopus_hybrid,
  just_scopus.bronze as just_scopus_bronze,
  just_scopus.green_only as just_scopus_green_only,
  just_scopus.green_in_home_repo as just_scopus_green_in_home_repo,
  SAFE_DIVIDE(just_scopus.oa, just_scopus.total) * 100 as just_scopus_percent_oa,
  SAFE_DIVIDE(just_scopus.green, just_scopus.total) * 100 as just_scopus_percent_green,
  SAFE_DIVIDE(just_scopus.gold, just_scopus.total) * 100 as just_scopus_percent_gold,
  SAFE_DIVIDE(just_scopus.gold_just_doaj, just_scopus.total) * 100 as just_scopus_percent_gold_just_doaj,
  SAFE_DIVIDE(just_scopus.hybrid, just_scopus.total) * 100 as just_scopus_percent_hybrid,
  SAFE_DIVIDE(just_scopus.bronze, just_scopus.total) * 100 as just_scopus_percent_bronze,
  SAFE_DIVIDE(just_scopus.green_only, just_scopus.total) * 100 as just_scopus_percent_green_only,
  SAFE_DIVIDE(just_scopus.green_in_home_repo, combined.total) * 100 as just_scopus_percent_in_home_repo,
  
  just_wos.total as just_wos_total,
  just_wos.oa as just_wos_oa,
  just_wos.green as just_wos_green,
  just_wos.gold as just_wos_gold,
  just_wos.gold_just_doaj as just_wos_gold_doaj,
  just_wos.hybrid as just_wos_hybrid,
  just_wos.bronze as just_wos_bronze,
  just_wos.green_only as just_wos_green_only,
  just_wos.green_in_home_repo as just_wos_green_in_home_repo,
  SAFE_DIVIDE(just_wos.oa, just_wos.total) * 100 as just_wos_percent_oa,
  SAFE_DIVIDE(just_wos.green, just_wos.total) * 100 as just_wos_percent_green,
  SAFE_DIVIDE(just_wos.gold, just_wos.total) * 100 as just_wos_percent_gold,
  SAFE_DIVIDE(just_wos.gold_just_doaj, just_scopus.total) * 100 as just_wos_percent_gold_just_doaj,
  SAFE_DIVIDE(just_wos.hybrid, just_wos.total) * 100 as just_wos_percent_hybrid,
  SAFE_DIVIDE(just_wos.bronze, just_wos.total) * 100 as just_wos_percent_bronze,
  SAFE_DIVIDE(just_wos.green_only, just_wos.total) * 100 as just_wos_percent_green_only,
  SAFE_DIVIDE(just_wos.green_in_home_repo, combined.total) * 100 as just_wos_percent_in_home_repo,

  just_mag.total as just_mag_total,
  just_mag.oa as just_mag_oa,
  just_mag.green as just_mag_green,
  just_mag.gold as just_mag_gold,
  just_mag.gold_just_doaj as just_mag_gold_doaj,
  just_mag.hybrid as just_mag_hybrid,
  just_mag.bronze as just_mag_bronze,
  just_mag.green_only as just_mag_green_only,
  just_mag.green_in_home_repo as just_mag_green_in_home_repo,
  SAFE_DIVIDE(just_mag.oa, just_mag.total) * 100 as just_mag_percent_oa,
  SAFE_DIVIDE(just_mag.green, just_mag.total) * 100 as just_mag_percent_green,
  SAFE_DIVIDE(just_mag.gold, just_mag.total) * 100 as just_mag_percent_gold,
  SAFE_DIVIDE(just_mag.gold_just_doaj, just_scopus.total) * 100 as just_mag_percent_gold_just_doaj,
  SAFE_DIVIDE(just_mag.hybrid, just_mag.total) * 100 as just_mag_percent_hybrid,
  SAFE_DIVIDE(just_mag.bronze, just_mag.total) * 100 as just_mag_percent_bronze,
  SAFE_DIVIDE(just_mag.green_only, just_mag.total) * 100 as just_mag_percent_green_only,
  SAFE_DIVIDE(just_mag.green_in_home_repo, combined.total) * 100 as just_mag_percent_in_home_repo,

FROM 
  `academic-observatory.institution.institutions_2020_02_12` as institutions, 
   UNNEST(years) as years
  
WHERE
  years.published_year > 2000 and 
  years.published_year < 2020 and 
  institutions.id in (SELECT id FROM `open-knowledge-publications.institutional_oa_evaluation_2020.grids_in_scope_2020_02_12`)