SELECT
  -- Replace ###salt### with your own salt. This is used to anonymise institutions in our article.
  TO_HEX(MD5(CONCAT(id, '', '###salt###'))) as id,
  country,
  country_code,
  region,
  subregion,
  years.published_year as published_year,
  history.unpaywall_release as unpaywall_release,
  history.total as total,
  history.oa as oa,
  history.green as green,
  history.gold as gold,
  history.gold_just_doaj as gold_just_doaj,
  history.hybrid as hybrid,
  history.bronze as bronze,
  history.green_only as green_only,
  history.green_in_home_repo as green_in_home_repo,
  SAFE_DIVIDE(history.oa, history.total) * 100 as percent_oa,
  SAFE_DIVIDE(history.green, history.total) * 100 as percent_green,
  SAFE_DIVIDE(history.gold, history.total) * 100 as percent_gold,
  SAFE_DIVIDE(history.gold_just_doaj, history.total) * 100 as percent_gold_just_doaj,
  SAFE_DIVIDE(history.hybrid, history.total) * 100 as percent_hybrid,
  SAFE_DIVIDE(history.bronze, history.total) * 100 as percent_bronze,
  SAFE_DIVIDE(history.green_only, history.total) * 100 as percent_green_only,
  SAFE_DIVIDE(history.green_in_home_repo, history.total) * 100 as percent_in_home_repo,
  
  FROM 
  `academic-observatory.institution.institutions_2020_02_12` as institutions,
   UNNEST(years) as years, 
   UNNEST(years.combined.unpaywall_history) as history
  
WHERE 
  years.published_year > 2000 and 
  years.published_year < 2020 and 
  institutions.id in (SELECT id FROM `open-knowledge-publications.institutional_oa_evaluation_2020.grids_in_scope_2020_02_12`) 